System 2.0.0.0 4.0.0.0 System.Object

ASP.NET Web Forms and Windows Forms both use the same configuration settings infrastructure to support user settings. User settings within ASP.NET are often referred to as ASP.NET Profile. The settings infrastructure includes the base class, the class, the class, the class, the class, and the

class.

The Settings base classes provide only a common infrastructure for defining and persisting settings properties. Depending on how these base classes are derived and their run-time environment, the settings API can provide different levels of functionality. For example, ASP.NET Profile uses the settings base classes to provide per-user settings that are saved and loaded according to request semantics.

Provides the base class used to support user property settings.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsContext To be added.

  A is used by the application to provide contextual information that the provider can use to persist settings.

  Each settings class derived from has a context associated with it. The context is passed to the settings provider to identity additional information about the settings information. Context therefore acts as a hint to help the settings provider determine how to persist the associated settings values.

  Gets the associated settings context.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added.

  Initializes internal properties used by object.

  The settings context related to the settings properties. The settings properties that will be accessible from the instance. The initialized providers that should be used when loading and saving property values.
- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Browsable(false)
  System.Boolean To be added. To be added.

  Gets a value indicating whether access to the object is synchronized (thread safe).

- Property
  2.0.0.0
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsPropertyCollection To be added.

  The get accessor of the property returns the collection of instances associated with the properties managed by the instance.

  The class natively recognizes certain characteristics of a setting, such as its name, property type, settings provider, default value, and read-only status and a serialization preference. These characteristics are mirrored as properties in the class. All other attributes of the class are just passed through to its associated settings provider as a .

  Gets the collection of settings properties.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsPropertyValueCollection To be added. To be added.

  Gets a collection of settings property values.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsProviderCollection To be added. To be added.

  Gets a collection of settings providers.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The instance groups properties based on the provider that is associated with each property. Each provider is then called in sequence and is passed the set of properties that the provider should save.

  Stores the current values of the settings properties.

- Method
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsBase ``

  The indexer will get and set property data in a thread-safe manner if the property is set to true. A instance by default is not thread-safe. However, you can call passing in a instance to make the indexer operate in a thread-safe manner.

  Provides a class that is synchronized (thread safe).

  A class that is synchronized.

  The class used to support user property settings.